%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Email-Simple
Version:       2.218
Release:       2mamba
Summary:       Email::Simple - simple parsing of RFC2822 message format and headers
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Simple-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Provides:      perl-Email-Simple-Creator
Obsoletes:     perl-Email-Simple-Creator
BuildRequires: perl-Email-Date-Format

%description
Email::Simple is the first deliverable of the "Perl Email Project." The Email:: namespace was begun as a reaction against the increasing complexity and bugginess of Perl's existing email modules. Email::* modules are meant to be simple to use and to maintain, pared to the bone, fast, minimal in their external dependencies, and correct.

%prep

%setup -q -n Email-Simple-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 2.218-2mamba
- rebuilt with perl 5.36.0

* Mon Jan 09 2023 Automatic Build System <autodist@mambasoft.it> 2.218-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 2.216-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 2.214-1mamba
- automatic update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 2.208-1mamba
- automatic update by autodist

* Fri Apr 24 2015 Automatic Build System <autodist@mambasoft.it> 2.206-1mamba
- automatic update by autodist

* Tue Feb 25 2014 Automatic Build System <autodist@mambasoft.it> 2.203-1mamba
- automatic update by autodist

* Thu Sep 05 2013 Automatic Build System <autodist@mambasoft.it> 2.202-1mamba
- automatic update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 2.201-1mamba
- automatic version update by autodist

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 2.200_02-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.102-2mamba
- perl 5.16 mass rebuild

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.102-1mamba
- automatic version update by autodist

* Thu Dec 29 2011 Automatic Build System <autodist@mambasoft.it> 2.101-1mamba
- automatic version update by autodist

* Wed Jan 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.100-2mamba
- provide and obsolete perl-Email-Simple-Creator

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.100-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.005-1mamba
- automatic update by autodist

* Sat Jan 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.004-1mamba
- package created by autospec
